Subject: Re: bug#68334: 29.1; tool-bar-make-keymap-1 does not work on terminals

From: Juri Linkov <[email-masked]>
Date: Wed, 10 Jan 2024 09:24:35 +0200

> If this goes in core, I'd like to make window-tool-bar-mode and
> tab-line-mode work nicely together.  Right now they both just overwrite
> tab-line-format, but I think a better implementation would result in them
> both appears in the tab-line side by side when both are enabled.  In other
> words, if both are enabled tab-line-format would have a value like
>
> ((:eval (tab-line-format)) " " (:eval (window-tool-bar-string))).
>
> I'm also happy to also add an additional line.  At that point there'd be
> three lines, so would it be worth it to add an option to control the order
> of the lines?  I can imagine a variable that contains lines / prefix events
> for lines above a buffer and controls the order.  I certainly would
> appreciate this flexibility.

Instead of asking the users to set tab-line-format to the expression above
adding a simple option would be nice.  Such option could define
how to combine the window tool-line with the tab-line.